#!/usr/bin/python
# -*- coding: utf-8 -*-

# statusbar & menu sample

import sys
from PyQt4 import QtCore, QtGui

class MainWindow(QtGui.QMainWindow):
  def __init__(self):
    super(MainWindow,self).__init__()
    self.initUI()
    
  def initUI(self):
    self.setWindowTitle('statusbar & menu sample')
    
    # create QAction object     
    menu1 = QtGui.QAction('menu1_apple', self)
    menu1.setShortcut('Ctrl+m')
    menu1.setStatusTip('menu1')
    self.connect(menu1, QtCore.SIGNAL('triggered()'), self.select)

    menu2 = QtGui.QAction('menu2_orange', self)
    menu2.setShortcut('Ctrl+m')
    menu2.setStatusTip('menu2')
    self.connect(menu2, QtCore.SIGNAL('triggered()'), self.select)

    # create QAction object 
    exit = QtGui.QAction(QtGui.QIcon('icons/exit.png'), 'Exit', self)
    exit.setShortcut('Ctrl+Q')
    exit.setStatusTip('Exit application')
#    self.connect(exit, QtCore.SIGNAL('triggered()'), QtCore.SLOT('close()'))
    self.connect(exit, QtCore.SIGNAL('triggered()'), QtCore.SLOT('close()'))
    
    # get QMenubar object 
    menubar = self.menuBar()
    # get QMenu object
    filemenu = menubar.addMenu('&File')
    # add filemenu to 'exit' QAction
    filemenu.addAction(menu1)
    filemenu.addAction(menu2)
    filemenu.addAction(exit)
    
    # show statusbar
    self.statusBar().showMessage('Ready')    
    
    # setCentralWidget
    self.label = QtGui.QLabel('Select Menu...')
    self.setCentralWidget(self.label)
    
  def select(self):
    sender = self.sender()
    print sender.text()
    self.statusBar().showMessage(sender.text())
    self.label.setText(sender.text() + ' was selected')



if __name__ == '__main__' :
  app = QtGui.QApplication(sys.argv)
  ex = MainWindow()
  ex.show()
  sys.exit(app.exec_())